
Summary: an implementation of the Burrows-Wheeler compression algorithm
Name: bzip2
Version: 0.9.0b
Release: 1
Group: Utilities/Archiving
URL: http://www.muraroa.demon.co.uk/
Copyright: BSD style (see the LICENSE file)
Packager: John C. Peterson <jaypee@netcom.com>
Source: http://www.muraroa.demon.co.uk/bzip2-0.9.0b.tar.gz
Buildroot: /tmp/build_root

%package devel
Summary: header file and static bzip2 library for developers
Group: Development/Libraries

%description
bzip2 compresses files using the Burrows-Wheeler block sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78
based compressors (like gzip) and approaches the performance of the
PPM family of statistical compressors.

%description devel
bzip2 is built on top of libbz2, a flexible library for handling
compressed data in the bzip2 format. This package contains the static
libbz2 library and the associated header file.

%prep
%setup -n bzip2-0.9.0b

%build
make CFLAGS="-Wall -m486 -O3 -fomit-frame-pointer -fno-strength-reduce"

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# create the directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/include
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/man/man1
# install the executables
install -s -m 0755 bzip2 $RPM_BUILD_ROOT/usr/bin
install -s -m 0755 bzip2recover $RPM_BUILD_ROOT/usr/bin
# create soft links for bunzip2, bzcat
ln -s /usr/bin/bzip2 $RPM_BUILD_ROOT/usr/bin/bunzip2
ln -s /usr/bin/bzip2 $RPM_BUILD_ROOT/usr/bin/bzcat
# install the man page
cp -a bzip2.1 $RPM_BUILD_ROOT/usr/man/man1
chmod 0444 $RPM_BUILD_ROOT/usr/man/man1/bzip2.1
# install the header file
cp -a bzlib.h $RPM_BUILD_ROOT/usr/include
chmod 0644 $RPM_BUILD_ROOT/usr/include/bzlib.h
# install the static library
install -m 0644 libbz2.a $RPM_BUILD_ROOT/usr/lib
# compress the postscript manual (with bzip2 of course :^)
./bzip2 -9 manual.ps

%clean
# remove build root
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE README *.html manual.ps.bz2
/usr/bin/bunzip2
/usr/bin/bzcat
/usr/bin/bzip2
/usr/bin/bzip2recover
/usr/man/man1/bzip2.1

%files devel
/usr/include/bzlib.h
/usr/lib/libbz2.a

